
Data Reader Writer
--------------------

.. autoclass:: magic_pdf.data.data_reader_writer.DataReader
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.DataWriter
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.S3DataReader
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.S3DataWriter
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.FileBasedDataReader
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.FileBasedDataWriter
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.S3DataReader
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.S3DataWriter
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.MultiBucketS3DataReader
   :members:
   :inherited-members:

.. autoclass:: magic_pdf.data.data_reader_writer.MultiBucketS3DataWriter
   :members:
   :inherited-members:

